<?xml version="1.0" encoding="utf-8"?>

<xui:window xmlns:xui="http://www.justep.com/xui" xmlns="http://www.justep.com/xui"
  xmlns:xforms="http://www.justep.com/xforms" xmlns:xhtml="http://www.w3.org/1999/xhtml"
  xmlns:ev="http://www.w3.org/2001/xml-events" component="/UI/system/components/window.xbl.xml#window">  
  <xforms:model id="md" style="width:114px;height:auto;left:328px;top:45px;"> 
    <data component="/UI/system/components/data.xbl.xml#bizData" offset="1"
      limit="1" update-mode="whereVersion" auto-load="false" id="dEmp" concept="HR_EP_Employee"
      store-type="simple" onValueChanged="dEmpValueChanged" onAfterSave="dEmpAfterSave"
      onSaveCommit="dEmpSaveCommit" onBeforeSave="dEmpBeforeSave" auto-new="true"> 
      <reader id="default1" action="/HR/employee/logic/action/queryHR_EP_EmployeeAction"/>  
      <writer id="default2" action="/HR/employee/logic/action/saveHR_EP_EmployeeAction"/>  
      <creator id="default3" action="/HR/employee/logic/action/createHR_EP_EmployeeAction"/>  
      <rule id="dataBizRule1" required="true()" relation="fName" alert="'姓名必填'"/>  
      <rule id="dataBizRule2" relation="fCode" alert="'编号必填，不允许重复！'" required="true()"
        constraint="eval(&quot;(employee.IsExistsNewField('fCode'));&quot;)"/>  
      <rule id="dataBizRule30" required="true()" relation="fSex" alert="'性别必填'"/>  
      <rule id="dataBizRule3" relation="fIDCard" constraint="eval('validateIdCard();')"
        alert="'证件号码不合法!'"/>  
      <rule id="dataBizRule24" relation="fOrganName" required="true()" alert="'机构名称必填'"/>  
      <rule id="dataBizRule4" concept="HR_EP_Employee" readonly="eval('employee.dataReadOnly')"/> 
    </data>  
    <data component="/UI/system/components/data.xbl.xml#bizData" offset="1"
      update-mode="whereVersion" auto-load="false" id="dOrg" concept="HR_OG_Org" store-type="grid"
      is-tree="true" order-by="fSequence:desc" filter-relations="fName,fCode,fShortName,fFName,fFCode,fFID,fOrgKindID,fParent,fLevel,fNodeKind,fUseStatus,fUseStatusName,fSequence"> 
      <reader id="default18" action="/HR/org/logic/action/HROrgQueryAction"/>  
      <tree-option id="treeOption1" parent-relation="fParent" root-filter="fParent IS NULL"
        virtual-root="" node-level-relation="fLevel" node-kind-relation="fNodeKind"/>  
      <filter name="filter">fUseStatus=1 and fOrgKindID ='ogn'</filter> 
    </data>  
    <data component="/UI/system/components/data.xbl.xml#bizData" offset="1"
      update-mode="whereVersion" auto-load="false" id="dDept" concept="HR_OG_Org"
      store-type="grid" is-tree="true" order-by="fSequence:asc"> 
      <reader id="default21" action="/HR/org/logic/action/HROrgQueryAction"/>  
      <tree-option id="treeOption4" node-level-relation="fLevel" node-kind-relation="fNodeKind"
        parent-relation="fParent" root-filter="1=1"/>  
      <filter name="filter">fUseStatus=1 and fOrgKindID = 'dpt'</filter> 
    </data>  
    <data component="/UI/system/components/data.xbl.xml#data" columns="startUse,stopUse"
      src="" auto-load="true" id="dBtnStatus" store-type="simple"> 
      <rows xmlns="">  
        <row/> 
      </rows> 
    </data>  
    <xforms:bind nodeset="data('dBtnStatus')/startUse" readonly="data('dEmp')/fUseStatus = '1'"/>  
    <xforms:bind nodeset="data('dBtnStatus')/stopUse" readonly="data('dEmp')/fUseStatus = '0' or data('dEmp')/fUseStatus = '2'"/>  
    <data id="fSexData" component="/UI/system/components/data.xbl.xml#data"
      columns="fName,fCode" store-type="simple" auto-load="false"> 
      <rows xmlns="">  
        <row> 
          <cell>男</cell>  
          <cell>0</cell> 
        </row>  
        <row> 
          <cell>女</cell>  
          <cell>1</cell> 
        </row> 
      </rows> 
    </data>  
    <data component="/UI/system/components/data.xbl.xml#bizData" offset="1"
      update-mode="whereVersion" auto-load="false" id="dOrgPosition" concept="HR_OG_OrgPosition"
      store-type="grid" order-by="fSequence:desc"> 
      <reader id="default19" action="/HR/org/logic/action/posArgQueryAction"/>  
      <filter name="filter0" id="filter1">HR_OG_OrgPosition.fUseStatus = 1</filter> 
    </data>  
    <xforms:action id="action3" ev:event="xforms-model-construct-done"> 
      <xforms:script id="xformsScript3">mdXformsModelConstructDone(event)</xforms:script> 
    </xforms:action>  
    <data component="/UI/system/components/data.xbl.xml#bizData" update-mode="whereVersion" data-type="json" auto-load="true" id="dMarried" concept="HR_EP_Married_D" limit="-1" store-type="grid" auto-new="false"><reader id="default4" action="/HR/employee/logic/action/queryMarriedDAction"></reader>
  <writer id="default5" action="/HR/employee/logic/action/saveMarriedDAction"></writer>
  <creator id="default6" action="/HR/employee/logic/action/createMarriedDAction"></creator>
  </data>
  <data component="/UI/system/components/data.xbl.xml#bizData" update-mode="whereVersion" data-type="json" auto-load="true" id="dPolitical" concept="HR_EP_Political_D" limit="-1" store-type="grid" auto-new="false">
   <reader id="default9" action="/HR/employee/logic/action/queryPoliticalDAction"></reader>
   <writer id="default7" action="/HR/employee/logic/action/savePoliticalDAction"></writer>
   <creator id="default8" action="/HR/employee/logic/action/createPoliticalDAction"></creator>
  </data>
  <data component="/UI/system/components/data.xbl.xml#bizData" update-mode="whereVersion" data-type="json" auto-load="true" id="dNation" concept="HR_EP_Nation_D" limit="-1" store-type="grid" auto-new="false">
   <reader id="default27" action="/HR/employee/logic/action/queryNationDAction"></reader>
   <writer id="default25" action="/HR/employee/logic/action/saveNationDAction"></writer>
   <creator id="default26" action="/HR/employee/logic/action/createNationDAction"></creator>
  </data>
  <data component="/UI/system/components/data.xbl.xml#bizData" update-mode="whereVersion" data-type="json" auto-load="true" id="dEducation" concept="HR_EP_Education_D" limit="-1" store-type="grid" auto-new="false">
   <reader id="default30" action="/HR/employee/logic/action/queryEducationDAction"></reader>
   <writer id="default28" action="/HR/employee/logic/action/saveEducationDAction"></writer>
   <creator id="default29" action="/HR/employee/logic/action/createEducationDAction"></creator>
  </data>
  <data component="/UI/system/components/data.xbl.xml#bizData" update-mode="whereVersion" data-type="json" auto-load="true" id="dSpeciality" concept="HR_EP_Speciality_D" limit="-1" store-type="grid" auto-new="false">
   <reader id="default33" action="/HR/employee/logic/action/querySpecialityDAction"></reader>
   <writer id="default31" action="/HR/employee/logic/action/saveSpecialityDAction"></writer>
   <creator id="default32" action="/HR/employee/logic/action/createSpecialityDAction"></creator>
  </data>
  <data component="/UI/system/components/data.xbl.xml#bizData" update-mode="whereVersion" data-type="json" auto-load="true" id="dDegree" concept="HR_EP_Degree_D" limit="-1" store-type="grid" auto-new="false">
   <reader id="default36" action="/HR/employee/logic/action/queryDegreeDAction"></reader>
   <writer id="default34" action="/HR/employee/logic/action/saveDegreeDAction"></writer>
   <creator id="default35" action="/HR/employee/logic/action/createDegreeDAction"></creator>
  </data>
  <data component="/UI/system/components/data.xbl.xml#bizData" update-mode="whereVersion" data-type="json" auto-load="true" id="dRecruitSource" concept="HR_EP_RecruitSource_D" limit="-1" store-type="grid" auto-new="false">
   <reader id="default39" action="/HR/employee/logic/action/queryRecruitSourceDAction"></reader>
   <writer id="default37" action="/HR/employee/logic/action/saveRecruitSourceDAction"></writer>
   <creator id="default38" action="/HR/employee/logic/action/createRecruitSourceDAction"></creator>
  </data>
  <data component="/UI/system/components/data.xbl.xml#bizData" update-mode="whereVersion" data-type="json" auto-load="true" id="dEPType" concept="HR_EP_Type_D" limit="-1" store-type="grid" auto-new="false">
   <reader id="default42" action="/HR/employee/logic/action/queryTypeDAction"></reader>
   <writer id="default40" action="/HR/employee/logic/action/saveTypeDAction"></writer>
   <creator id="default41" action="/HR/employee/logic/action/createTypeDAction"></creator>
  </data>
  </xforms:model>  
  <xui:view id="rootView" auto-load="true"> 
    <xhtml:div component="/UI/system/components/toolbars.xbl.xml#toolbars" id="tbrEmployee"> 
      <xui:bar component="/UI/system/components/bar.xbl.xml#navigatorBar" id="nvgEmployee"
        data="dEmp"> 
        <item style="display:none" id="insert"> 
          <xforms:trigger style="height:24px;width:24px;display:none" id="trgAdd" appearance="image"
            src="/UI/HR/common/images/insert.gif" dis-src="/UI/HR/common/images/un_insert.gif"> 
            <xforms:label id="xuiLabel4">新增员工</xforms:label>  
            <xforms:action id="action1" ev:event="DOMActivate"> 
              <xforms:script id="xformsScript1">newEmployeeFunction(event)</xforms:script> 
            </xforms:action> 
          </xforms:trigger> 
        </item>  
        <item name="save-item" id="barItem2"/>  
        <item name="refresh-item" id="barItem4"/>  
        <item id="barItem12"> 
          <xforms:trigger id="trgStart" src="/UI/HR/common/images/start_use.gif" dis-src="/UI/HR/common/images/un_start_use.gif"
            appearance="image" ref="instance('dBtnStatus')/startUse"> 
            <xforms:label id="xuiLabel1">启用</xforms:label>  
            <xforms:action ev:event="DOMActivate" id="action1"> 
              <xforms:script id="xformsScript1">trgStartDOMActivate(event)</xforms:script> 
            </xforms:action> 
          </xforms:trigger> 
        </item>  
        <item id="barItem13"> 
          <xforms:trigger id="trgStop" src="/UI/HR/common/images/stop_use.gif" dis-src="/UI/HR/common/images/un_stop_use.gif"
            appearance="image" ref="instance('dBtnStatus')/stopUse"> 
            <xforms:label id="xuiLabel2">停用</xforms:label>  
            <xforms:action ev:event="DOMActivate" id="action2"> 
              <xforms:script id="xformsScript2">trgStopDOMActivate(event)</xforms:script> 
            </xforms:action> 
          </xforms:trigger> 
        </item>  
        <item id="customBarItem1"/> 
      </xui:bar> 
    </xhtml:div>  
    <xui:view auto-load="true" id="vDetail"> 
      <xhtml:div style="height:156px;width:147px;" component="/UI/system/components/attachmentImage.xbl.xml#attachmentImage"
        id="fEmpPic" model="md" ref="data('dEmp')/fPhoto" root-path="/root" sub-path="concat('业务附件/HR/员工信息/员工图片/',toString(yearOf(currentDate())),'/',toString(monthOf(currentDate())))"
        limit-size="0"/>  
      <xforms:input ref="data('dEmp')/fAddress" auto-size="true" id="fAddress"/>  
      <xforms:input ref="data('dEmp')/fName" auto-size="true" id="fName"/>  
      <xforms:input ref="data('dEmp')/fCode" auto-size="true" id="fCode"/>  
      <xforms:input ref="data('dEmp')/fIDCard" auto-size="true" id="fIDCard"/>  
      <xforms:input ref="data('dEmp')/fBirthday" auto-size="true" id="fBirthday" format="yyyy-MM-dd"/>  
      <xforms:input ref="data('dEmp')/fAge" auto-size="true" id="fAge"/>  
      <xforms:input ref="data('dEmp')/fJoinJobDate" auto-size="true" id="fJoinJobDate"/>  
      <xforms:input ref="data('dEmp')/fNativePlace" auto-size="true" id="fNativePlace"/>  
      <xhtml:div component="/UI/system/components/select.xbl.xml#gridSelect" input-changeable="false"
        input-inputable="false" ref="data('dEmp')/fSpecialityName" label-ref="data('dEmp')/fSpecialityName"
        id="fSpecialityName" auto-size="true" dropdown-height="200"> 
        <xforms:label ref="fName"/>  
        <xforms:value ref="HR_EP_Speciality_D"/>  
        <xforms:itemset data="dSpeciality" auto-load-data="true"> 
          <xforms:column ref="fName" visable="true"/>  
          <xforms:column ref="HR_EP_Speciality_D" visable="false"/> 
        </xforms:itemset> 
      </xhtml:div>  
      <xforms:input ref="data('dEmp')/fCountry" auto-size="true" id="fCountry"/>  
      <xforms:input ref="data('dEmp')/fRegisterAddress" auto-size="true" id="fRegisterAddress"/>  
      <xforms:input ref="data('dEmp')/fCollege" auto-size="true" id="fCollege"/>  
      <xforms:output ref="data('dEmp')/fUseStatusName" auto-size="true" id="fUseStatusName"
        style="background-color:transparent;"/>  
      <layout id="layout1" type="excel" src="employee_basic_information_tc.layout.xls"/>  
      <!--性别 -->  
      <xhtml:div component="/UI/system/components/select.xbl.xml#gridSelect" input-changeable="false"
        input-inputable="false" ref="data('dEmp')/fSex" id="fSex" auto-size="false"
        label-ref="data('dEmp')/fSex"> 
        <xforms:label ref="0"/>  
        <xforms:value ref="0"/>  
        <xforms:itemset auto-load-data="true"> 
            
           
        
  
  
  <itemset-data xmlns="" id="default67">
   <rows xmlns="" id="default68">
    <row id="default69">
     <cell id="default70">男</cell></row> 
    <row id="default71">
     <cell id="default72">女</cell></row> </rows> </itemset-data>
  <xforms:column ref="0" id="default73"></xforms:column></xforms:itemset> 
      </xhtml:div>  
      <!--民族-->  
      <xhtml:div component="/UI/system/components/select.xbl.xml#gridSelect" input-changeable="false"
        input-inputable="false" ref="data('dEmp')/fNation" label-ref="data('dEmp')/fNationName"
        id="fNation" auto-size="true" dropdown-height="200"> 
        <xforms:label ref="fName"/>  
        <xforms:value ref="HR_EP_Nation_D"/>  
        <xforms:itemset auto-load-data="true" data="dNation"> 
            
           
        <xforms:column ref="fName" id="default47"></xforms:column>
  <xforms:column ref="HR_EP_Nation_D" id="default48"></xforms:column></xforms:itemset> 
      </xhtml:div>  
      <!--政治面貌-->  
      <xhtml:div component="/UI/system/components/select.xbl.xml#gridSelect" input-changeable="false"
        input-inputable="false" ref="data('dEmp')/fPolitical" label-ref="data('dEmp')/fPoliticalName"
        id="fPoliticalName" auto-size="true" dropdown-height="200"> 
        <xforms:label ref="fName"/>  
        <xforms:value ref="HR_EP_Political_D"/>  
        <xforms:itemset data="dPolitical" auto-load-data="true"> 
          <xforms:column ref="fName" visable="true"/>  
          <xforms:column ref="HR_EP_Political_D" visable="false"/> 
        </xforms:itemset> 
      </xhtml:div>  
      <!--婚姻状况-->  
      <xhtml:div component="/UI/system/components/select.xbl.xml#gridSelect" input-changeable="false"
        input-inputable="false" ref="data('dEmp')/fMarried" label-ref="data('dEmp')/fMarriedName"
        id="fMarriedName" auto-size="true" dropdown-height="200"> 
        <xforms:label ref="fName"/>  
        <xforms:value ref="HR_EP_Married_D"/>  
        <xforms:itemset data="dMarried" auto-load-data="true"> 
          <xforms:column ref="fName" visable="true"/>  
          <xforms:column ref="HR_EP_Married_D" visable="false"/> 
        </xforms:itemset> 
      </xhtml:div>  
      <!--学历-->  
      <xhtml:div component="/UI/system/components/select.xbl.xml#gridSelect" input-changeable="false"
        input-inputable="false" ref="data('dEmp')/fEducation" label-ref="data('dEmp')/fEducationName"
        id="fEducationName" auto-size="true" dropdown-height="200"> 
        <xforms:label ref="fName"/>  
        <xforms:value ref="HR_EP_Education_D"/>  
        <xforms:itemset data="dEducation" auto-load-data="true"> 
          <xforms:column ref="fName" visable="true"/>  
          <xforms:column ref="HR_EP_Education_D" visable="false"/> 
        </xforms:itemset> 
      </xhtml:div>  
      <!--学位-->  
      <xhtml:div component="/UI/system/components/select.xbl.xml#gridSelect" input-changeable="false"
        input-inputable="false" ref="data('dEmp')/fDegree" label-ref="data('dEmp')/fDegreeName"
        id="fDegreeName" auto-size="true" dropdown-height="200"> 
        <xforms:label ref="fName"/>  
        <xforms:value ref="HR_EP_Degree_D"/>  
        <xforms:itemset data="dDegree" auto-load-data="true"> 
          <xforms:column ref="fName" visable="true"/>  
          <xforms:column ref="HR_EP_Degree_D" visable="false"/> 
        </xforms:itemset> 
      </xhtml:div>  
      <!--招聘来源-->  
      <xhtml:div component="/UI/system/components/select.xbl.xml#gridSelect" input-changeable="false"
        input-inputable="false" ref="data('dEmp')/fRecruitSource" label-ref="data('dEmp')/fRecruitSourceName"
        id="fRecruitSourceName" auto-size="true" dropdown-height="200"> 
        <xforms:label ref="fName"/>  
        <xforms:value ref="HR_EP_RecruitSource_D"/>  
        <xforms:itemset data="dRecruitSource" auto-load-data="true"> 
          <xforms:column ref="fName" visable="true"/>  
          <xforms:column ref="HR_EP_RecruitSource_D" visable="false"/> 
        </xforms:itemset> 
      </xhtml:div>  
      <!--员工状态-->  
      <xhtml:div component="/UI/system/components/select.xbl.xml#gridSelect" input-changeable="false"
        input-inputable="false" ref="data('dEmp')/fEmpStatus" label-ref="data('dEmp')/fEmpStatusName"
        id="fEmpStatusName" auto-size="true" dropdown-height="200"> 
        <xforms:label ref="fName"/>  
        <xforms:value ref="HR_EP_StatusType"/>  
        <xforms:itemset data="dStatusType" auto-load-data="true"> 
          <xforms:column ref="fName" visable="true"/>  
          <xforms:column ref="HR_EP_StatusType" visable="false"/> 
        </xforms:itemset> 
      </xhtml:div>  
      <!--机构-->  
      <xhtml:div component="/UI/system/components/select.xbl.xml#treeSelect" input-changeable="false"
        input-inputable="false" id="fOrganName" ref="data('dEmp')/fOrganID" label-ref="data('dEmp')/fOrganName"
        delay="true" onShowNodeImg="fOrganNameShowNodeImg" auto-size="true" dropdown-height="200"> 
        <xforms:label ref="fName"/>  
        <xforms:value id="fFID" ref="HR_OG_Org"/>  
        <xforms:itemset auto-load-data="true" data="dOrg"> 
            
           
        
  <xforms:column ref="fName" id="default15"></xforms:column>
  <xforms:column ref="HR_OG_Org" id="default43"></xforms:column></xforms:itemset> 
      </xhtml:div>  
      <!--部门-->  
      <xhtml:div component="/UI/system/components/select.xbl.xml#treeSelect" input-changeable="false"
        input-inputable="false" id="fDeptName" ref="data('dEmp')/fDeptID" label-ref="data('dEmp')/fDeptName"
        delay="true" onShowNodeImg="fDeptNameShowNodeImg" auto-size="true"> 
        <xforms:label ref="fName"/>  
        <xforms:value ref="HR_OG_Org"/>  
        <xforms:itemset auto-load-data="true" data="dDept"> 
          <xforms:column ref="fName" visable="true"/>  
          <xforms:column ref="HR_OG_Org" visable="false"/> 
        </xforms:itemset> 
      </xhtml:div>  
      <!--职位-->  
      <xhtml:div component="/UI/system/components/select.xbl.xml#gridSelect" input-changeable="false"
        input-inputable="false" id="fPostName" ref="data('dEmp')/fPostID" label-ref="data('dEmp')/fPostName"
        auto-size="true" dropdown-height="200"> 
        <xforms:label ref="fPositionName"/>  
        <xforms:value ref="HR_OG_OrgPosition"/>  
        <xforms:itemset auto-load-data="true" data="dOrgPosition"> 
            
           
        <xforms:column ref="fPositionName" id="default44"></xforms:column>
  <xforms:column ref="HR_OG_OrgPosition" id="default45"></xforms:column></xforms:itemset> 
      </xhtml:div>  
      <xhtml:div component="/UI/system/components/select.xbl.xml#gridSelect" row-height="36"
        dropdown-class="xui-grid-hide-VLine" label-separator="," value-separator=","
        ext-separator="," id="fEPType" class="xui-autofill" ref="data('dEmp')/fEPType"
        label-ref="data('dEmp')/fEPTypeName"> 
        <xforms:label ref="fName" id="default10"/>  
        <xforms:value ref="rowid" id="default13"/>  
        <xforms:itemset id="default14" data="dEPType" auto-load-data="true"><xforms:column ref="fName" id="default16"></xforms:column>
  <xforms:column ref="rowid" visible="false" id="default17"></xforms:column></xforms:itemset>
      </xhtml:div>
    <xforms:select1 ref="data('dEmp')/fIsMiddleLevel" id="radio1">
   <xforms:item id="selectItem1">
    <xforms:label id="default20"><![CDATA[是]]></xforms:label>
    <xforms:value id="default22"><![CDATA[是]]></xforms:value></xforms:item> 
   <xforms:item id="selectItem2">
    <xforms:label id="default23"><![CDATA[否]]></xforms:label>
    <xforms:value id="default24"><![CDATA[否]]></xforms:value></xforms:item> </xforms:select1>
  <xforms:input id="input1" class="xui-autofill" ref="fEmpStatusName"></xforms:input></xui:view>  
    <xui:view id="vEmpSubInfo" auto-load="false"> 
      <xui:layout> 
        <xhtml:div component="/UI/system/components/tabs.xbl.xml#tabs" style="width:100%;height:100%"
          id="subTabs"> 
          <xui:tab id="socialRelationsTab" level="1"> 
            <label>社会关系</label>  
            <xhtml:iframe id="socialRelationsIframe" style="width:100%;height:100%;"
              frameborder="no" src="about:blank"/>  
            <xforms:action ev:event="xforms-select"> 
              <xforms:script> <![CDATA[
											employee.employeeDetail.refreshSubIframe("socialRelationsIframe");
										]]> </xforms:script> 
            </xforms:action> 
          </xui:tab>  
          <xui:tab id="trainTab"> 
            <xui:label>社会培训</xui:label>  
            <xhtml:iframe id="trainIframe" style="width:100%;height:100%;" frameborder="no"
              src="about:blank"/>  
            <xforms:action ev:event="xforms-select"> 
              <xforms:script> <![CDATA[
											employee.employeeDetail.refreshSubIframe("trainIframe");
										]]> </xforms:script> 
            </xforms:action> 
          </xui:tab>  
          <xui:tab id="jobExperienceTab"> 
            <label>工作经历</label>  
            <xhtml:iframe id="jobExperienceIframe" style="width:100%;height:100%;" frameborder="no"
              src="about:blank"/>  
            <xforms:action ev:event="xforms-select"> 
              <xforms:script> <![CDATA[
											employee.employeeDetail.refreshSubIframe("jobExperienceIframe");
										]]> </xforms:script> 
            </xforms:action> 
          </xui:tab>  
          <xui:tab id="practiceTab"> 
            <label>执业资格</label>  
            <xhtml:iframe id="practiceIframe" style="width:100%;height:100%;" frameborder="no"
              src="about:blank"/>  
            <xforms:action ev:event="xforms-select"> 
              <xforms:script> <![CDATA[
											employee.employeeDetail.refreshSubIframe("practiceIframe");
										]]> </xforms:script> 
            </xforms:action> 
          </xui:tab>  
          <xui:tab id="educationTab"> 
            <label>教育经历</label>  
            <xhtml:iframe id="educationIframe" style="width:100%;height:100%;" frameborder="no"
              src="about:blank"/>  
            <xforms:action ev:event="xforms-select"> 
              <xforms:script> <![CDATA[
											employee.employeeDetail.refreshSubIframe("educationIframe");
										]]> </xforms:script> 
            </xforms:action> 
          </xui:tab>  
          <xui:tab id="languageTab"> 
            <label>语言技能</label>  
            <xhtml:iframe id="languageIframe" style="width:100%;height:100%;" frameborder="no"
              src="about:blank"/>  
            <xforms:action ev:event="xforms-select"> 
              <xforms:script> <![CDATA[
											employee.employeeDetail.refreshSubIframe("languageIframe");
										]]> </xforms:script> 
            </xforms:action> 
          </xui:tab>  
          <xui:tab id="patentTab" level="1"> 
            <label>专利情况</label>  
            <xhtml:iframe id="patentIframe" style="width:100%;height:100%;" frameborder="no"
              src="about:blank"/>  
            <xforms:action ev:event="xforms-select"> 
              <xforms:script> <![CDATA[
											employee.employeeDetail.refreshSubIframe("patentIframe");
										]]> </xforms:script> 
            </xforms:action> 
          </xui:tab>  
          <xui:tab id="postCertificateTab" level="1"> 
            <label>岗位证书</label>  
            <xhtml:iframe id="postCertificateIframe" style="width:100%;height:100%;"
              frameborder="no" src="about:blank"/>  
            <xforms:action ev:event="xforms-select"> 
              <xforms:script> <![CDATA[
											employee.employeeDetail.refreshSubIframe("postCertificateIframe");
										]]> </xforms:script> 
            </xforms:action> 
          </xui:tab>  
          <xui:tab id="abroadTab" level="1"> 
            <label>出国信息</label>  
            <xhtml:iframe id="abroadIframe" style="width:100%;height:100%;" frameborder="no"
              src="about:blank"/>  
            <xforms:action ev:event="xforms-select"> 
              <xforms:script> <![CDATA[
											employee.employeeDetail.refreshSubIframe("abroadIframe");
										]]> </xforms:script> 
            </xforms:action> 
          </xui:tab>  
          <xui:tab id="archivesTab" level="1"> 
            <label>人事档案</label>  
            <xhtml:iframe id="archivesIframe" style="width:100%;height:100%;" frameborder="no"
              src="about:blank"/>  
            <xforms:action ev:event="xforms-select"> 
              <xforms:script> <![CDATA[
											employee.employeeDetail.refreshSubIframe("archivesIframe");
										]]> </xforms:script> 
            </xforms:action> 
          </xui:tab>  
          <xui:tab id="attachmentTab" level="1"> 
            <label>附件</label>  
            <xhtml:iframe id="attachmentIframe" style="width:100%;height:100%;" frameborder="no"
              src="about:blank"/>  
            <xforms:action ev:event="xforms-select"> 
              <xforms:script> <![CDATA[
											employee.employeeDetail.refreshSubIframe("attachmentIframe");
										]]> </xforms:script> 
            </xforms:action> 
          </xui:tab>  
          <xui:tab id="membershipTab"> 
            <label>政治面貌及党派职务</label>  
            <xhtml:iframe id="membershipIframe" style="width:100%;height:100%;" frameborder="no"
              src="about:blank"/>  
            <xforms:action ev:event="xforms-select"> 
              <xforms:script> <![CDATA[
											employee.employeeDetail.refreshSubIframe("membershipIframe");
										]]> </xforms:script> 
            </xforms:action> 
          </xui:tab>  
          <xui:tab id="workerSkillPosTab"> 
            <label>操作人员技术等级及职务</label>  
            <xhtml:iframe id="workerSkillPosIframe" style="width:100%;height:100%;"
              frameborder="no" src="about:blank"/>  
            <xforms:action ev:event="xforms-select"> 
              <xforms:script> <![CDATA[
											employee.employeeDetail.refreshSubIframe("workerSkillPosIframe");
										]]> </xforms:script> 
            </xforms:action> 
          </xui:tab>  
          <xui:tab id="prizeTab" level="1"> 
            <label>专业技术工作获奖</label>  
            <xhtml:iframe id="prizeIframe" style="width:100%;height:100%;" frameborder="no"
              src="about:blank"/>  
            <xforms:action ev:event="xforms-select"> 
              <xforms:script> <![CDATA[
											employee.employeeDetail.refreshSubIframe("prizeIframe");
										]]> </xforms:script> 
            </xforms:action> 
          </xui:tab>  
          <xui:tab id="skillPostTab" level="1"> 
            <label>专业技术职务</label>  
            <xhtml:iframe id="skillPostIframe" style="width:100%;height:100%;" frameborder="no"
              src="about:blank"/>  
            <xforms:action ev:event="xforms-select"> 
              <xforms:script> <![CDATA[
											employee.employeeDetail.refreshSubIframe("skillPostIframe");
										]]> </xforms:script> 
            </xforms:action> 
          </xui:tab>  
          <xui:tab id="pluralismTab" level="1"> 
            <label>兼职信息</label>  
            <xhtml:iframe id="pluralismIframe" style="width:100%;height:100%;" frameborder="no"
              src="about:blank"/>  
            <xforms:action ev:event="xforms-select"> 
              <xforms:script> <![CDATA[
											employee.employeeDetail.refreshSubIframe("pluralismIframe");
										]]> </xforms:script> 
            </xforms:action> 
          </xui:tab>  
          <xui:tab id="contractTab" level="1"> 
            <label>合同信息</label>  
            <xhtml:iframe id="contractIframe" style="width:100%;height:100%;" frameborder="no"
              src="about:blank"/>  
            <xforms:action ev:event="xforms-select"> 
              <xforms:script> <![CDATA[
											employee.employeeDetail.refreshSubIframe("contractIframe");
										]]> </xforms:script> 
            </xforms:action> 
          </xui:tab> 
        </xhtml:div> 
      </xui:layout> 
    </xui:view>  
    <xui:layout style="width:100%;height:100%;"> 
      <xhtml:table cellspacing="0" border="0" > 
        <xhtml:tr height="32px"> 
          <xhtml:td> 
            <place control="tbrEmployee" style="background-color:transparent;"/> 
          </xhtml:td> 
        </xhtml:tr>  
        <xhtml:tr> 
          <xhtml:td height="350px" valign="top"> 
              <place control="vDetail"/>  
          </xhtml:td> 
        </xhtml:tr>  
        <xhtml:tr> 
          <xhtml:td valign="top"> 
            <xhtml:div style="overflow:auto;width:100%;height:100%;">   
              <xhtml:div component="/UI/system/components/collapsePanel.xbl.xml#collapsePanel"
                id="colspanInfo" title="其他信息" fixed="true" status="collapsed" style="width:695px;"
                onExpand="colspanInfoExpand"> 
                <group name="panelarea"> 
                  <xhtml:table border="0" width="100%" height="310px"> 
                    <xhtml:tr> 
                      <xhtml:td valign="top"> 
                        <xhtml:iframe id="frmElseInfo" style="width:100%;height:310px;"
                          frameborder="no" src="about:blank"/> 
                      </xhtml:td> 
                    </xhtml:tr> 
                  </xhtml:table> 
                </group> 
              </xhtml:div> 
            </xhtml:div> 
          </xhtml:td> 
        </xhtml:tr>  
        <xhtml:tr height="20" valign="top"> 
          <xhtml:td> 
            <xhtml:input type="checkbox" id="isChecked" onclick="showSubInformation();"/>  
            <xhtml:font size="2" color="#0000FF"> 
              <xhtml:b> 
                <xhtml:label id="subExpandTxt">显示员工信息子集</xhtml:label> 
              </xhtml:b> 
            </xhtml:font> 
          </xhtml:td> 
        </xhtml:tr>  
        <xhtml:tr id="subTR" style="height:400px;display:none"> 
          <xhtml:td> 
            <place control="vEmpSubInfo" style="width:100%;height:100%;"/> 
          </xhtml:td> 
        </xhtml:tr> 
      </xhtml:table> 
    </xui:layout> 
  </xui:view>  
  <xui:resource id="resource1"> 
    <xhtml:script id="htmlScript1" src="empInfoDetailActivity.js"/>  
    <xhtml:script src="/UI/HR/common/js/common.js"/> 
  </xui:resource> 
</xui:window>
